"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initDebug = exports.logger = void 0;
const loglevel_1 = require("loglevel");
const logger = loglevel_1.getLogger('CCPay');
exports.logger = logger;
function loadScript(src) {
    const head = document.head;
    const script = document.createElement('script');
    script.src = src;
    head && head.appendChild(script);
    return new Promise((resolve, reject) => {
        script.onload = resolve;
        script.onerror = reject;
    });
}
function initDebug() {
    return __awaiter(this, void 0, void 0, function* () {
        if (!window.VConsole) {
            yield loadScript('https://cdn.jsdelivr.net/npm/vconsole');
        }
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        const vConsole = new window.VConsole();
        // setLevel 必须在最后一行，不然 vConsole 无法接管 log
        logger.setLevel('trace');
    });
}
exports.initDebug = initDebug;
// export const logger = console as any as Logger
