import { NativeChannel } from './channel/NativeChannel';
import { Env } from './common/Env';
import { Webview } from './Webview';
export declare class CCPay {
    readonly channel: NativeChannel;
    webview: Webview;
    env: Env;
    version: string;
    app_id: string;
    business_id: string;
    constructor({ app_id, business_id, debug }: {
        app_id: string;
        business_id: string;
        debug: boolean;
    });
    compareVersion(targetVersion?: string): -1 | 1 | 0 | null;
    on(event: string, callback: () => void): void;
    off(event: string, callback: () => void): void;
    login(): Promise<unknown>;
    requestUserInfo(): Promise<unknown>;
    requestDeposit({ symbol }: {
        symbol: string;
    }): Promise<unknown>;
    openUrl({ url }: {
        url: string;
    }): Promise<unknown>;
    /**
     * open a url in system browser
     * only ios is supported now
     * @param url
     */
    openBrowser({ url }: {
        url: string;
    }): Promise<unknown>;
}
